org.tmatesoft.svn.core.wc2

## Class SvnSetChangelist

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<java.lang.Void>
  - - org.tmatesoft.svn.core.wc2.SvnSetChangelist

All Implemented Interfaces:
  ISvnOperationOptionsProvider

    public class SvnSetChangelist
    extends SvnOperation<java.lang.Void>

Represents set changelist operation. Adds/remove each path in `targets` (recursing to `depth` as necessary) to `changelist`. If a path is already a member of another changelist, then removes it from the other changelist and adds it to `changelist`. (For now, a path cannot belong to two changelists at once.)

`changelists` is an array of `String` changelist names, used as a restrictive filter on items whose changelist assignments are adjusted; that is, doesn't tweak the change set of any item unless it's currently a member of one of those changelists. If `changelists` is empty (or `null`), no changelist filtering occurs.

Note: this metadata is purely a client-side "bookkeeping" convenience, and is entirely managed by the working copy.

Note: this method does not require repository access.

Version:
  1.7
Author:
  TMate Software Ltd.

### Constructor Summary

Constructors
`protected` `SvnSetChangelist(SvnOperationFactory factory)`

### Method Summary

Methods
`protected void` `ensureArgumentsAreValid()`
`java.lang.String` `getChangelistName()` Returns the operation's changelist name.
`protected int` `getMaximumTargetsCount()`
`boolean` `isChangesWorkingCopy()` Gets whether the operation changes working copy
`boolean` `isRemove()` Returns whether `targets` should be removed from changelist.
`void` `setChangelistName(java.lang.String changelistName)` Sets the operation's changelist name.
`void` `setRemove(boolean remove)` Sets whether `targets` should be removed from changelist.

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnSetChangelist

    protected SvnSetChangelist(SvnOperationFactory factory)

### Method Detail

#### getChangelistName

    public java.lang.String getChangelistName()

Returns the operation's changelist name.

Returns:
  changelist name of the operation

#### setChangelistName

    public void setChangelistName(java.lang.String changelistName)

Sets the operation's changelist name.

Parameters:
  `changelistName` - changelist name of the operation

#### isRemove

    public boolean isRemove()

Returns whether `targets` should be removed from changelist.

Returns:
  `true` if `targets` should be removed from changelist, if `false` should be added

#### setRemove

    public void setRemove(boolean remove)

Sets whether `targets` should be removed from changelist.

Parameters:
  `remove` - `true` if `targets` should be removed from changelist, if `false` should be added

#### ensureArgumentsAreValid

    protected void ensureArgumentsAreValid()
                                    throws SVNException

Overrides:
  `ensureArgumentsAreValid` in class `SvnOperation<java.lang.Void>`
Throws:
  `SVNException`

#### getMaximumTargetsCount

    protected int getMaximumTargetsCount()

Overrides:
  `getMaximumTargetsCount` in class `SvnOperation<java.lang.Void>`

#### isChangesWorkingCopy

    public boolean isChangesWorkingCopy()

Gets whether the operation changes working copy

Overrides:
  `isChangesWorkingCopy` in class `SvnOperation<java.lang.Void>`
Returns:
  `true` if the operation changes the working copy, otherwise `false`